//---------------------------------------------------------------------------
// IFList Version 1.0
// Copyright (C) 2008 SHP Consulting & Systems
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see http://www.gnu.org/licenses/.
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("IFList1.cpp", MainForm);
USEFORM("IFList2.cpp", InputDialog);
USEFORM("IFList3.cpp", AboutDialog);
USEFORM("IFList4.cpp", SplashScreen);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                HANDLE hMutex = OpenMutex(MUTEX_ALL_ACCESS, 0, "IFList1.0");
	  if (!hMutex)
      	     hMutex = CreateMutex(0, 0, "IFList1.0");
    	  else
    	  {
      	     HWND hWnd = FindWindow(0, "IFList1.0");
      	     SetForegroundWindow(hWnd);
      	     Application->NormalizeTopMosts();
      	     Application->MessageBox("IFList 1.0 is already running.", "Error", MB_OK);
      	     Application->RestoreTopMosts();
      	     return 0;
	   }                 
	   Application->Initialize();
                 Application->Title = "WinPcap 4.0.2. Interface List";
                 Application->CreateForm(__classid(TMainForm), &MainForm);
                 Application->CreateForm(__classid(TInputDialog), &InputDialog);
                 Application->CreateForm(__classid(TAboutDialog), &AboutDialog);
                 Application->CreateForm(__classid(TSplashScreen), &SplashScreen);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
